#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define shared_desktop_ontologies_version 0.11.0

Name: nepomuk-core
Summary: Nepomuk core service daemon
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2+ and GPLv3 and LGPLv2 and LGPLv3
Group: System/Libraries
URL: https://projects.kde.org/projects/kde/kdelibs/nepomuk-core
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version} 
BuildRequires: pkgconfig(shared-desktop-ontologies) >= %{shared_desktop_ontologies_version}
BuildRequires: pkgconfig(soprano) >= 2.7.56
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(taglib)
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: ebook-tools-devel
BuildRequires: doxygen
BuildRequires: kdegraphics-mobipocket-devel

Requires:  soprano-plugin-virtuoso
Conflicts: kdebase4-runtime < 1:4.8.97
Conflicts: nepomuk < 1:4.8.97

#Branch patchs

%description
This package provides the core services daemon and the service registry
daemon for Nepomuk.

%files
%{_kde_bindir}/nepomuk-simpleresource-rcgen
%{_kde_bindir}/nepomukbackup
%{_kde_bindir}/nepomukcleaner
%{_kde_bindir}/nepomukindexer
%{_kde_bindir}/nepomukserver
%{_kde_bindir}/nepomukservicestub
%{_kde_bindir}/nepomuk2-rcgen
%{_kde_bindir}/nepomukcmd
%{_kde_bindir}/nepomukctl
%{_kde_bindir}/nepomukfileindexer
%{_kde_bindir}/nepomukfilewatch
%{_kde_bindir}/nepomukmigrator
%{_kde_bindir}/nepomuksearch
%{_kde_bindir}/nepomukshow
%{_kde_bindir}/nepomukstorage
%{_kde_libdir}/kde4/nepomukplaintextextractor.so
%{_kde_libdir}/libkdeinit4_nepomukserver.so
%{_kde_libdir}/libnepomukcommon.so
%{_kde_libdir}/libnepomukextractor.so
%{_kde_libdir}/kde4/nepomukexiv2extractor.so
%{_kde_libdir}/kde4/nepomukffmpegextractor.so
%{_kde_libdir}/kde4/nepomukpopplerextractor.so
%{_kde_libdir}/kde4/nepomuktaglibextractor.so
%{_kde_libdir}/kde4/libexec/kde_nepomuk_filewatch_raiselimit
%{_kde_libdir}/kde4/nepomukodfextractor.so
%{_kde_libdir}/kde4/nepomukofficeextractor.so
%{_kde_libdir}/kde4/nepomukoffice2007extractor.so
%{_kde_libdir}/kde4/nepomukmobiextractor.so
%{_kde_libdir}/kde4/nepomukepubextractor.so
%{_kde_applicationsdir}/nepomukbackup.desktop
%{_kde_applicationsdir}/nepomukcleaner.desktop
%{_kde_appsdir}/fileindexerservice/nepomukfileindexer.notifyrc
%{_kde_appsdir}/nepomukfilewatch/nepomukfilewatch.notifyrc
%{_kde_appsdir}/nepomukstorage/nepomukstorage.notifyrc
%{_kde_autostart}/nepomukserver.desktop
%{_kde_datadir}/ontology/kde/kext.ontology
%{_kde_datadir}/ontology/kde/kext.trig
%{_kde_datadir}/ontology/kde/kuvo.ontology
%{_kde_datadir}/ontology/kde/kuvo.trig
%{_kde_datadir}/ontology/kde/nrio.ontology
%{_kde_datadir}/ontology/kde/nrio.trig
%{_kde_services}/nepomukactivitiesservice.desktop
%{_kde_services}/nepomukbackupsync.desktop
%{_kde_services}/nepomukmobiextractor.desktop
%{_kde_services}/nepomukfileindexer.desktop
%{_kde_services}/nepomukfilewatch.desktop
%{_kde_services}/nepomukontologyloader.desktop
%{_kde_services}/nepomukplaintextextractor.desktop
%{_kde_services}/nepomukepubextractor.desktop
%{_kde_services}/nepomukqueryservice.desktop
%{_kde_services}/nepomukremovablestorageservice.desktop
%{_kde_services}/nepomukstorage.desktop
%{_kde_services}/nepomukstrigiservice.desktop
%{_kde_services}/nepomukexiv2extractor.desktop
%{_kde_services}/nepomukffmpegextractor.desktop
%{_kde_services}/nepomukpopplerextractor.desktop
%{_kde_services}/nepomuktaglibextractor.desktop
%{_kde_services}/nepomukodfextractor.desktop
%{_kde_services}/nepomukofficeextractor.desktop
%{_kde_services}/nepomukoffice2007extractor.desktop
%{_kde_servicetypes}/nepomukcleaningjob.desktop
%{_kde_servicetypes}/nepomukservice2.desktop
%{_kde_servicetypes}/nepomukservice.desktop
%{_kde_servicetypes}/nepomukextractor.desktop

%{_datadir}/dbus-1/interfaces/org.kde.NepomukServer.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.BackupManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.DataManagement.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.FileIndexer.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.OntologyManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.Query.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.QueryService.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.ResourceWatcher.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.ResourceWatcherConnection.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.ServiceControl.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.ServiceManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.Storage.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.FileWatch.xml
%{_datadir}/dbus-1/system-services/org.kde.nepomuk.filewatch.service
%{_datadir}/polkit-1/actions/org.kde.nepomuk.filewatch.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.nepomuk.filewatch.conf

#------------------------------------------------------------------------------

%define nepomukcore_major 4
%define libnepomukcore %mklibname nepomukcore %nepomukcore_major

%package -n %libnepomukcore
Summary: Nepomuk core library
Group: System/Libraries

%description -n %libnepomukcore
The NepomukCore library is the main library for dealing with Nepomuk components.
This includes the following parts : 
- The main resource handling centered around Nepomuk::Resource
- The handling of ontologies via classes in the Nepomuk::Types namespace
- The desktop Nepomuk::Query API
- Several utility methods and classes

%files -n %libnepomukcore
%{_kde_libdir}/libnepomukcore.so.%{nepomukcore_major}*

#------------------------------------------------------------------------------

%define nepomukcleaner_major 4
%define libnepomukcleaner %mklibname nepomukcleaner %nepomukcleaner_major

%package -n %libnepomukcleaner
Summary: Nepomuk cleaner library
Group: System/Libraries

%description -n %libnepomukcleaner
This package provides the library for nepomuk cleaner.

%files -n %libnepomukcleaner
%{_kde_libdir}/libnepomukcleaner.so.%{nepomukcleaner_major}*

#------------------------------------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Header files and documentation for compiling KDE applications
Requires: %name = %epoch:%version
Requires: %libnepomukcore = %epoch:%version
Requires: %libnepomukcleaner = %epoch:%version
Conflicts: kdebase4-runtime-devel < 1:4.8.97

%description devel
This package includes the header files you will need to compile applications
for KDE.

%files devel
%{_kde_includedir}/Nepomuk2/
%{_kde_includedir}/nepomuk2/
%{_kde_libdir}/cmake/NepomukCore
%{_kde_libdir}/libnepomukcore.so
%{_kde_libdir}/libnepomukcleaner.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641377
- Update to KDE SC 4.12.5
  add BuildRequires kdegraphics-mobipocket-devel
  update file list

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555067
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551339
- Update tarball to KDE SC 4.11.3
- Fix libnepomukcleaner summary & description

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-3.mga4
+ Revision: 540530
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 luigiwalser <luigiwalser> 1:4.11.2-2.mga4
+ Revision: 493800
- rebuild for fixed taglib abi

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490672
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476717
- Update tarball to KDE SC 4.11.1

* Thu Aug 15 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 466770
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458985
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Thu Jul 18 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455397
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Mon Jul 15 2013 fwang <fwang> 1:4.10.90-2.mga4
+ Revision: 454571
- rebuild for new ffmpeg

* Mon Jul 01 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448695
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Add ebook-tools-devel as BR (provides epub support in nepomuk)
- Fix files list
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435027
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428327
- Update tarball to KDE SC 4.10.3

* Thu Apr 11 2013 neoclust <neoclust> 1:4.10.2-2.mga3
+ Revision: 409762
- Rebuild against new boost

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407144
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401824
- Update tarball to KDE SC 4.10.1
  + drop patch from KDE/4.10 (patch100 merged upstream)

* Sat Feb 09 2013 mikala <mikala> 1:4.10.0-2.mga3
+ Revision: 397509
- Add patch100 from branch to fix kde #314559 (Broken recursive file indexing in dolphin)

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394329
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1:4.9.97-2.mga3
+ Revision: 341606
- rebuild for new ffmpeg

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339297
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334479
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 11 2012 mikala <mikala> 1:4.9.90-2.mga3
+ Revision: 329565
- Add missing requires for soprano-plugin-virtuoso ( mga #8352)

* Tue Dec 04 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326621
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Update description

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320167
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix BuildRequires
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316120
- Update tarball to KDE SC 4.9.3
- Drop patch100 merged upstream

* Thu Oct 25 2012 mikala <mikala> 1:4.9.2-2.mga3
+ Revision: 309879
- Add patch100 from branch to fix kde #307388 (crash in nepomukfilewatcher)

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301904
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289649
- Update tarball to KDE SC 4.9.1
- Update Licence tag
- Add doxygen as BR

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276618
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269718
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-3.mga3
+ Revision: 265482
- do not obsoletes

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-2.mga3
+ Revision: 265452
- add requires on ontology

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265446
- update file list
- use prep section
- imported package nepomuk-core

